OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_PersonAndOrganizationItem Class Reference

`#include <StepAP214_PersonAndOrganizationItem.hxx>`

Inheritance diagram for StepAP214_PersonAndOrganizationItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_PersonAndOrganizationItem ()
| Returns a PersonAndOrganizationItem SelectType .
virtual Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a APersonAndOrganizationItem Kind Entity that is : 1 -> AppliedOrganizationAssignment 2 -> AssemblyComponentUsageSubstitute 3 -> DocumentFile 4 -> MaterialDesignation 5 -> MechanicalDesignGeometricPresentationRepresentation 6 -> PresentationArea 7 -> Product 8 -> ProductDefinition 9 -> ProductDefinitionFormation 10 -> ProductDefinitionRelationship 11 -> PropertyDefinition 12 -> ShapeRepresentation 13 -> SecurityClassification 0 else .
Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment | AppliedOrganizationAssignment () const
| returns Value as a AppliedOrganizationAssignment (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_PersonAndOrganizationItem::StepAP214_PersonAndOrganizationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment StepAP214_PersonAndOrganizationItem::AppliedOrganizationAssignment | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepAP214_PersonAndOrganizationItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Reimplemented from StepAP214_ApprovalItem.

void StepAP214_PersonAndOrganizationItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_PersonAndOrganizationItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_PersonAndOrganizationItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

The documentation for this class was generated from the following file:

- StepAP214_PersonAndOrganizationItem.hxx